=== debian/changelog ===
beads (1.1.13+dfsg-2) unstable; urgency=medium

  * replacing the build dependency on qttools5-dev-tools with qttools5-dev
    Closes: #880850

 -- Andreas Tille <tille@debian.org>  Mon, 06 Nov 2017 00:31:00 +0100

beads (1.1.13+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #879556)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Oct 2017 22:19:26 +0200
