=== debian/control ===
Source: beads
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Olivier Langella <olivier.langella@moulon.inra.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               qtbase5-dev,
               qttools5-dev,
               cimg-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/beads.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/beads.git
Homepage: http://moulon.inra.fr/beads/beads.html

Package: beads
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         imagemagick
Description: 2-DE electrophoresis gel image spot detection
 BEADS is a program for spot detection on 2-D gel images. It is based on
 an analogy with beads flowing uphill on the surface of the gel image and
 on the analysis of their paths (Langella & Zivy, 2008).
