=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://pappso.inra.fr/bioinfo/beads/index.php .*/downloads/beads-@ANY_VERSION@@ARCHIVE_EXT@
