## beads 1.1.18+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,22 +16,20 @@
 
 #message ("compiler : ${CMAKE_CXX_COMPILER} ")
 
-
-IF ( CMAKE_BASE_NAME MATCHES "cl")
-	message ("on est sous Windows")
-	SET( WIN32 "true")
-ENDIF(CMAKE_BASE_NAME MATCHES "cl")
-
-
-SET( CMAKE_BUILD_TYPE "Release")
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+
+#IF ( CMAKE_BASE_NAME MATCHES "cl")
+#	message ("on est sous Windows")
+#	SET( WIN32 "true")
+#ENDIF(CMAKE_BASE_NAME MATCHES "cl")
+
+if (NOT CMAKE_BUILD_TYPE)
+  SET( CMAKE_BUILD_TYPE "Release")
+ENDIF(NOT CMAKE_BUILD_TYPE)
+
 if (NOT CMAKE_INSTALL_PREFIX)
 	SET (CMAKE_INSTALL_PREFIX /usr/local)
 ENDIF(NOT CMAKE_INSTALL_PREFIX)
-
-IF (CMAKE_INSTALL_PREFIX MATCHES "/usr/local")
-	SET( CMAKE_BUILD_TYPE "Debug")
-	#SET( CMAKE_BUILD_TYPE "Release")
-ENDIF (CMAKE_INSTALL_PREFIX MATCHES "/usr/local")
 
 
 IF ( CMAKE_BUILD_TYPE MATCHES "Release")
@@ -46,23 +44,14 @@
 #SET(WIN32 "true")
 #SET(MINGW "true")
 
-set(CMAKE_MODULE_PATH ${beads_SOURCE_DIR}/cmake_modules)
-#FIND_PACKAGE ( FindPTHREADS REQUIRED )
-#are we using pthreads ?
-#IF ( CMAKE_USE_PTHREADS_INIT )
-#	INCLUDE_DIRECTORIES ( ${EXPAT_INCLUDE_DIRS} )
-#ELSE ( CMAKE_USE_PTHREADS_INIT )
-#	MESSAGE( FATAL_ERROR "No pthread installed" )
-#ENDIF( CMAKE_USE_PTHREADS_INIT )
+#set(CMAKE_MODULE_PATH ${beads_SOURCE_DIR}/cmake_modules)
 
 #IF ( PTHREADS_FOUND )
-	INCLUDE_DIRECTORIES ( ${PTHREADS_INCLUDE_DIR} )
+#	INCLUDE_DIRECTORIES ( ${PTHREADS_INCLUDE_DIR} )
 #ELSE ( PTHREADS_FOUND )
 #	MESSAGE( FATAL_ERROR "No pthread installed" )
 #ENDIF( PTHREADS_FOUND )
 
-
-cmake_minimum_required(VERSION 2.6)
 
 
 SET ( EXTRA_CIMG_LIBRARY "")
@@ -75,18 +64,18 @@
 	#SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")
 #	FIND_PACKAGE(FindMagick REQUIRED)
 ELSE(WIN32)
-	FIND_PACKAGE(Pthreads REQUIRED)
-	SET(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
+	#FIND_PACKAGE(Pthreads REQUIRED)
+	SET(CMAKE_CXX_FLAGS_RELEASE "-s -O3 -DNDEBUG")
 	SET ( CIMG_OS 1)
 ENDIF(WIN32)
 
 #
 #CMAKE_CXX_FLAGS
-SET(CMAKE_CXX_FLAGS_DEBUG "-g")
+SET(CMAKE_CXX_FLAGS_DEBUG "-g -s")
 SET(CMAKE_CXX_FLAGS_MINSIZEREL "-Os -DNDEBUG")
 SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")
 
-SET (BEADS_VERSION "1.1.13")
+SET (BEADS_VERSION "1.1.18")
 
 SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
 SET(CPACK_GENERATOR "STGZ;TGZ;TZ")
@@ -109,21 +98,24 @@
 SET(CPACK_PACKAGE_VERSION ${BEADS_VERSION})
 SET(CPACK_PACKAGE_VERSION_MAJOR "1")
 SET(CPACK_PACKAGE_VERSION_MINOR "1")
-SET(CPACK_PACKAGE_VERSION_PATCH "13")
+SET(CPACK_PACKAGE_VERSION_PATCH "15")
 SET(CPACK_RESOURCE_FILE_LICENSE ${beads_SOURCE_DIR}/COPYING)
 SET(CPACK_RESOURCE_FILE_README ${beads_SOURCE_DIR}/README)
 SET(CPACK_RESOURCE_FILE_WELCOME ${beads_SOURCE_DIR}/INSTALL)
 SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
 SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
-SET(CPACK_SOURCE_STRIP_FILES "")
-SET(CPACK_STRIP_FILES "bin/beads")
 SET(CPACK_SYSTEM_NAME "Linux-i686")
 SET(CPACK_TOPLEVEL_TAG "Linux-i686")
 
 SET(CPACK_SOURCE_IGNORE_FILES 
 	"moc_.*cxx"
 	"/devel_archives/"
+	"/build/"
+	"/buildw64/"
+	"/cbuild/"
 	"/figures/"
+	".*\\\\.so"
+	".*\\\\.a"
 	"/Soumis/"
 	"/samples/"
 	"/win32/"
@@ -136,12 +128,13 @@
 	"CPackConfig.cmake"
 	"CPackSourceConfig.cmake"
 	"install_manifest.txt"
+	".gitignore"
 	"/CMakeFiles/"
 	"/_CPack_Packages/"
 	"/Debug/"
 	"/Release/"
 	"/\\\\.externalToolBuilders/"
-	"/\\\\.svn/"
+	"/\\\\.git/"
 	"/\\\\.settings/"
 	"Makefile"
 	"\\\\.cdtbuild"
@@ -165,6 +158,17 @@
 #  debuild -S -sa
 # dput -f olivier-langella *changes
 
+
+
+
+
+#dch -Djessie "message"
+#cmake ..
+#make deb
+# scp beads* proteus.moulon.inra.fr:/var/www/apt/incoming
+# reprepro -Vb /var/www/apt processincoming default
+
+
 configure_file (${beads_SOURCE_DIR}/src/config.h.cmake ${beads_SOURCE_DIR}/src/config.h)
 
 
@@ -177,16 +181,18 @@
 #INCLUDE(CPack)
 
 
-SET(CPACK_STRIP_FILES "src/beads;src/qtbeads/qtbeads")
 
 
 # Recurse into the "src" subdirectories.  This does not actually
 # cause another cmake executable to run.  The same process will walk through
 # the project's entire directory structure.
-SUBDIRS (src)
-
-INSTALL(PROGRAMS src/beads DESTINATION bin)
-INSTALL(PROGRAMS src/qtbeads/qtbeads DESTINATION bin)
+#ADD_DEFINITIONS( -lpthread)
+add_subdirectory (src)
+
+#SET(CPACK_STRIP_FILES "src/beads;src/qtbeads/qtbeads")
+
+INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/beads DESTINATION bin)
+INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/qtbeads/qtbeads DESTINATION bin)
 #INSTALL(DIRECTORY doc/man1 DESTINATION share/man/man1)
 INSTALL(FILES doc/man1/beads.1 DESTINATION share/man/man1)
 INSTALL(FILES share/applications/beads.desktop DESTINATION share/applications)
@@ -195,3 +201,16 @@
 INSTALL(FILES share/beads/beads_silver_small.conf DESTINATION share/beads)
 INSTALL(FILES share/beads/beads_icon.svg DESTINATION share/beads)
 
+add_custom_target(targz
+	cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz beads-${BEADS_VERSION}.tar.gz
+	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+	COMMENT "Creating .tar.gz" VERBATIM
+)
+
+
+add_custom_target(deb
+	cd beads-${BEADS_VERSION} && dpkg-buildpackage 
+	DEPENDS targz
+	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+	COMMENT "Creating Debian package" VERBATIM
+)
