=== debian/changelog ===
beads (1.1.18+dfsg-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:38 +0100

beads (1.1.18+dfsg-4) unstable; urgency=medium

  * Drop unneeded  Build-Depends on libquazip5-headers
    Closes: #945885
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove patches qt5.patch that are missing from
    debian/patches/series.

 -- Andreas Tille <tille@debian.org>  Sun, 01 Dec 2019 07:54:06 +0100

beads (1.1.18+dfsg-3) unstable; urgency=medium

  * Add libquazip5-headers Build-Depends explicitly which seems to have
    vanished from Depends of some build dependency
    Closes: #924472
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 13 Mar 2019 14:02:07 +0100

beads (1.1.18+dfsg-2) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 27 Oct 2018 17:41:52 +0200

beads (1.1.18+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Watch file now reports new upstream URLs (not fit for proper download
    yet since some more sophisticated name mangling is needed)
  * Standards-Version: 4.1.3
  * debhelper 11
  * Build-Depends: libodsstream-qt5-dev (>= 0.4.13-2)
  * Drop unused lintian override

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 13:27:11 +0100
