=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
            Olivier Langella <olivier.langella@moulon.inra.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                qtbase5-dev,
                qttools5-dev,
+               libodsstream-qt5-dev,
                cimg-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/beads.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/beads.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/beads
+Vcs-Git: https://salsa.debian.org/med-team/beads.git
 Homepage: http://moulon.inra.fr/beads/beads.html
 
 Package: beads
