=== debian/changelog ===
beads (1.1.20-3) unstable; urgency=medium

  [ Filippo Rusconi ]
  * Fix the watch file to actually point to the proper destination.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Nov 2021 10:15:36 +0100

beads (1.1.20-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Add autopkgtests.
  * compat version: 13
  * Add "Rules-Requires-Root:no"
  * Fix spellings

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 26 Jun 2020 21:06:34 +0530

beads (1.1.20-1) unstable; urgency=low

  * New upstream version, merging upstream and Debian packaging
    development with the initial work of Andreas Tille, the ongoing
    work by Olivier Langella and Filippo Rusconi.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 May 2020 11:04:30 +0200

beads (1.1.19+dfsg-1) unstable; urgency=low

  * New version updating the CMake build system to match
    the changes operated in the libodsstream package
    (closes: #959637) and the name of the libodsstream-dev
    package name. Thanks a lot to Lucas Nussbaum
    <lucas@debian.org> and Andreas Tille
    <andreas@an3as.eu> for reporting the problem.

  * Standards-Version: 4.5.0 (no changes needed).

  * Changed the inra.fr to inrae.fr domain name of the home page.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 05 May 2020 20:08:31 +0200

beads (1.1.18-9) buster; urgency=medium

  * new lib PAPPSOms++

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 11 Apr 2020 11:13:23 +0200

beads (1.1.18-8) stretch; urgency=medium

  * new odsstream library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 02 Jan 2019 22:14:14 +0100

beads (1.1.18-6) stretch; urgency=medium

  * new pappso mspp library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 12 Dec 2018 19:20:48 +0100

beads (1.1.18-5) stretch; urgency=medium

  * new libodsstream library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 16 Aug 2018 10:52:49 +0200

beads (1.1.18-4) stretch; urgency=medium

  * new libodsstream library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 16 May 2018 09:35:46 +0200

beads (1.1.18-3) stretch; urgency=medium

  * new libodsstream

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 30 Apr 2018 15:43:46 +0200

beads (1.1.18-2) stretch; urgency=medium

  * new libodsstream

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 14 Apr 2018 21:26:00 +0200

beads (1.1.18-1) stretch; urgency=medium

  * better debian package, new libodsstream

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 13 Mar 2018 15:53:00 +0100

beads (1.1.17-2) stretch; urgency=medium

  * better debian package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 16 Feb 2018 06:57:23 +0100

beads (1.1.17-1) stretch; urgency=medium

  * move to QT5

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 11 Feb 2018 18:41:58 +0100

beads (1.1.16-3) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 17 Aug 2017 21:41:50 +0200

beads (1.1.16-2) jessie; urgency=medium

  * new odsstream library

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 23 May 2017 22:31:11 +0200

beads (1.1.16-1) jessie; urgency=medium

  * updated version using libodsstream, better exports

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 24 Apr 2017 09:42:19 +0200

beads (1.1.15-2) jessie; urgency=medium

  * package for Jessie

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 28 Aug 2015 16:02:53 +0200

beads (1.1.15-1) wheezy; urgency=low

  * bug fixed creating new beads.conf file

 -- Olivier Langella <olivier.langella@moulon.inra.fr>  Sat, 19 May 2012 06:18:51 +0200

beads (1.1.14-2) natty; urgency=low

  * no more X11 dependency
  * no more pthread depency

 -- Olivier Langella <olivier.langella@moulon.inra.fr>  Sat, 25 Jun 2011 06:18:51 +0200

beads (1.1.14-1~maverick1) maverick; urgency=low

  * new CMakeLists.txt compilation method
  * new Cimg library 1.4.4

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 02 Nov 2010 10:18:51 +0200

beads (1.1.13-1~maverick1) maverick; urgency=low

  * maverick package

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 9 Sep 2010 10:18:51 +0200

beads (1.1.13-1~lucid1) lucid; urgency=low

  * fixed bug when trying to save results from sypro images (detected by T. Balliau)

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 9 Sep 2010 10:18:51 +0200

beads (1.1.12-1~lucid1) lucid; urgency=low

  * command line output extension detection problem fixed
  * integration of Cimg 1.3.9
  * memory leak fixed on qt properties object

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 26 Aug 2010 10:18:51 +0200

beads (1.1.11-1~lucid1) lucid; urgency=low

  * UTF8 image file path
  * parameter "atom" renamed in "minbeads"
  * rename CONFLUENTS image to SELECT image
  * parameter "minconfl" renamed in "minpath"
  * parameter "flux" renamed in "minflux"
  * confluent_ prefix removed from 	minflux, minpath, winconfl, minbeads
  * prob_ prefix removed from sx, sy, sx_bottom, sy_bottom
  * rename detection_threshold to minproba
  * rename quantification_npass to npass
  * inverse image checked by default

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 18 May 2010 10:18:51 +0200

beads (1.1.10-1~lucid1) lucid; urgency=low

  * write matchset with matched spot num

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 10 Apr 2010 10:18:51 +0200

beads (1.1.9-2~lucid1) lucid; urgency=low

  * bug fixed writing sample name in PROTICdbML (thanks to Thierry Balliau)

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 28 Apr 2010 10:18:51 +0200

beads (1.1.9-1~lucid1) karmic; urgency=low

  * edit spot_num dialog
  * new menu item to save all beads steps in one directory (PROBABILITIES, NUMBERS, PATH...)


