=== debian/control ===
Source: beads
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Filippo Rusconi <lopippo@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               qtbase5-dev,
               cimg-dev,
               libodsstream-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/beads
Vcs-Git: https://salsa.debian.org/med-team/beads.git
Homepage: http://pappso.inrae.fr/bioinfo/beads
Rules-Requires-Root: no

Package: beads
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         imagemagick
Description: 2-DE electrophoresis gel image spot detection
 Beads is a program for spot detection on 2-D gel images. It is based on
 an analogy with beads flowing uphill on the surface of the gel image and
 on the analysis of their paths (Langella & Zivy, 2008).
