=== debian/watch ===
version=4

https://salsa.debian.org/med-team/beads/tags?sort=updated_desc archive/@ANY_VERSION@/beads-\d\S*@ARCHIVE_EXT@
