## beads 1.1.22

=== debian/changelog ===
beads (1.1.22-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Fix FTBFS with CMake 4. Closes: #1112754.

  [ Santiago Vila ]
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 Oct 2025 20:15:00 +0200

beads (1.1.22-1) unstable; urgency=low

  * New upstream version hopefully fixing bug (Closes: #1027544), thanks to
    Lucas Nussbaum for the bug report (note the that the unfixed software
    builds fine in a sid chroot on my computer).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 01 Jan 2023 19:52:38 +0100

beads (1.1.21-1) unstable; urgency=low

  * Port to Qt6. 
  * Update version of libodsstream-dev build-dep package.
  * Fixes in the CMake-based system.
  * Standards-Version: 4.6.1 (routine update).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 14 Dec 2022 12:45:41 +0100

beads (1.1.20-4) UNRELEASED; urgency=low

  [ Filippo Rusconi ]
  * Rewrite the watch file so that it points to the actual development
    repository site (beads had erroneously a full source repos in salsa).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 07 Nov 2021 13:18:21 +0100

beads (1.1.20-2~buster3) buster; urgency=medium

  * new libpappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 Jul 2020 13:21:24 +0200

beads (1.1.20-2~buster2) buster; urgency=medium

  * new libpappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 Jul 2020 10:04:49 +0200

beads (1.1.20-2~buster1) buster; urgency=medium

  * new debian package for Debian 10 Buster based on Filippo's version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 May 2020 10:44:24 +0200
